# EmptyFileVisitor

open class EmptyFileVisitor : FileVisitor

The EmptyFileVisitor can be extends by implementations that only require to implement one of the 2 visit methods (dir or file). This is just to limit the amount of code clutter when not both visit methods need to be implemented.

## Constructors

EmptyFileVisitor
Link copied to clipboard
constructor()

## Functions

visitDir
Link copied to clipboard
open fun visitDir(dirDetails: FileVisitDetails)
visitFile
Link copied to clipboard
open fun visitFile(fileDetails: FileVisitDetails)